Bug 13454 - No Backtrace given by Samba's AD DC by default
No Backtrace given by Samba's AD DC by default
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.8.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-29 01:21 UTC by Andrew Bartlett
Modified: 2018-06-05 12:03 UTC (History)
3 users (show)

See Also:


Attachments
backported patch for 4.8 and 4.7 (14.54 KB, patch)
2018-05-29 01:36 UTC, Andrew Bartlett
abartlet: review? (gary)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-05-29 01:21:29 UTC
Unless users have already installed a panic action sig11 reports in the logs are almost impossible to debug. 

We should use the same code as is used by smbd in samba.
Comment 1 Andrew Bartlett 2018-05-29 01:36:22 UTC
Created attachment 14218 [details]
backported patch for 4.8 and 4.7

I've tested this on 4.8 and 4.7.  Please approve and assign to Karolin.
Comment 2 Karolin Seeger 2018-06-04 07:55:22 UTC
Pushed to autobuild-v4-[7,8]-test.
Comment 3 Karolin Seeger 2018-06-05 12:03:25 UTC
Pushed to both branches.
Closing out bug report.

Thanks!